using System.ComponentModel.DataAnnotations;

namespace WebApp
{
    public class StateContainer
    {
        private int[]? _scheduledTeams;

        public int[] ScheduledTeams
        {
            get => _scheduledTeams ?? [];
            set
            {
                _scheduledTeams = value;
                NotifyStateChanged();
            }
        }

        public event Action? OnChange;

        private void NotifyStateChanged() => OnChange?.Invoke();
    }
}
